petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMMoabGetFieldDof

Gets the global degree-of-freedom of a field (component) defined on a particular MOAB EntityHandle.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetFieldDof(DM dm,moab::EntityHandle point,PetscInt field,PetscInt* dof)

Not Collective Many br

### Input Parameters

| dm | - the discretization manager object Many br
| point | - the MOAB EntityHandle container which holds the field degree-of-freedom values Many br
| field | - the field (component) index Many br

### Output Parameter

| dof | - the global degree-of-freedom index corresponding to the field in the discrete representation (Vec, Mat) Many br

Many br

### Keywords

discretization manager, get, global degree of freedom

### See Also

DMMoabGetFieldDofs(), DMMoabGetFieldDofsLocal()

Level:beginner
Location:src/dm/impls/moab/dmmbfield.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages